/*
   SIO.H - CTask - Serial I/O interface routine definitions.

   Public Domain Software written by
      Thomas Wagner
      Patschkauer Weg 31
      D-1000 Berlin 33
      West Germany
*/


#define XON       0x11
#define XOFF      0x13

/* Parity values for "v24_change_parity" */

#define PAR_NONE  0x00
#define PAR_EVEN  0x18
#define PAR_ODD   0x08
#define PAR_MARK  0x28
#define PAR_SPACE 0x38

/* Modem control bits for "v24_watch_modem" */

#define CTS       0x10
#define DSR       0x20
#define RI        0x40
#define CD        0x80

/* Values for "v24_protocol" */

#define XONXOFF   0x01
#define RTSCTS    0x02

/* function prototypes */

extern int far v24_install (int port, 
                            farptr rcvbuf, word rcvsize, 
                            farptr xmitbuf, word xmitsize);
extern void far v24_remove (int port);

extern void far v24_change_rts (int port, int on);
extern void far v24_change_dtr (int port, int on);
extern void far v24_change_baud (int port, long rate);
extern void far v24_change_parity (int port, int par);
extern void far v24_change_wordlength (int port, int len);
extern void far v24_change_stopbits (int port, int n);
extern void far v24_watch_modem (int port, byte flags);
extern void far v24_protocol (int port, int prot, 
                              word offthresh, word onthresh);

extern int far v24_send (int port, byte ch, dword timeout);
extern int far v24_receive (int port, dword timeout);
extern int far v24_overrun (int port);
extern int far v24_check (int port);
extern int far v24_modem_status (int port);
extern int far v24_complete (int port);
extern int far v24_wait_complete (int port, dword timeout);

